RCP程序无法启动

By | 2018年4月21日

启动RCP程序前,先点击“Add Required Plug-ins”,启动时,如果还有依赖缺失,就会报错。下面是Oxygen报错结果:

image

提示缺少OSGI component,我用的是Eclipse Oxygen,添加Equinox的相关bundle依赖便可(Equinox是OSGI的一个实现)。

image

再点击下“Add Required Plug-ins”启动程序,没有错误了。